package org.dromara.common.sms.client.message;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 上行短信
 */
@XmlRootElement(name = "moMessage")
@XmlAccessorType(XmlAccessType.FIELD)
public class MoMessage {

    private String mobile;
    private String smsContent;
    private String sendTime;
    private String destNum;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getSmsContent() {
        return smsContent;
    }

    public void setSmsContent(String smsContent) {
        this.smsContent = smsContent;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getDestNum() {
        return destNum;
    }

    public void setDestNum(String destNum) {
        this.destNum = destNum;
    }

    public String toString() {
        return String.format("{\n  mobile:%s,\n  smsContent:%s,\n  sendTime:%s\n  destNum:%s\n}", this.mobile, this.smsContent, this.sendTime, this.destNum);
    }
}
